indexing
   author: "Miron Brezuleanu"
   purpose: "encapsulate the behavior for a window that doesn't close,%
   % but hides itself instead"
   
class NO_CLOSE_WINDOW
   
inherit
   GTK_WINDOW
      redefine
	 make,
	 delete_handler
      end
   
creation
   make
   
feature
   
   make is
	 -- will create the window and will activate event handling
      do
	 Precursor
	 activate_event_handling
      end
   
   delete_handler is
	 -- will say 'No!' to the close request and will hide the window
      do
	 hide
	 event_result := True
      end
   
end

   
